Name: desktop-translations
Version: 4.0.4
Release: alt3.M40.1

Group: Graphical desktop/Other
Summary: Utilities for manipulating .desktop files
License: GPL
URL: http://www.altlinux.ru/

Source: %name-%version.tar.bz2

BuildRequires: gettext-tools

%description
desktop-files i18n translations


%prep
%setup -q

%build
for f in po/*.po
do
    msgfmt -o `echo $f| sed 's|.po$|.mo|'` $f
done

%install
for f in po/*.mo
do
    LNG=`echo $f| sed 's|.*-\([[:alpha:]][[:alpha:]].*\).mo$|\1|'`
    mkdir -p %buildroot/%_datadir/locale/$LNG/LC_MESSAGES/
    install -m 0644 $f %buildroot/%_datadir/locale/$LNG/LC_MESSAGES/desktop_translations.mo
done
%find_lang desktop_translations

%files -f desktop_translations.lang

%changelog
* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.4-alt3.M40.1
- update tt translation

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.4-alt2.M40.1
- update tt translation

* Tue Sep 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.4-alt1.M40.1
- update tt translation

* Tue Aug 12 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1.M40.1
- add translation of .directory files

* Thu Jul 10 2008 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- initial specfile
